/* 
 * File:   wxqb100_encryption.h
 * Author: yuhongyong
 *
 * Created on 2012年12月24日, 下午2:27
 */

#ifndef WXQB100_ENCRYPTION_H
#define	WXQB100_ENCRYPTION_H

#include "type.h"
#ifdef	__cplusplus
extern "C" {
#endif
/*------------------------------- Variable Define -----------------------------------*/

#define MAC_ADDR0		0xAA		//物理地址
#define MAC_ADDR1		0xAB		//物理地址
#define MAC_ADDR2		0xBC		//物理地址
#define MAC_ADDR3		0xCD		//物理地址
#define MAC_ADDR4		0xDE		//物理地址
#define MAC_ADDR5		0xEF		//物理地址
#define MAC_ADDR6		0xFA		//物理地址
 /*-------------------------------- Function Declare ---------------------------------*/
u8 SA_crc(u8 *start_address,u8 plen,u8 JMnum);
void	Address_Encrypt(u8 *p_buf,u8 key_num);
u8	Num_Change(u8 Now_Num,u8 Num_Flag);
BOOL	Num_Check(u8 Now_Num,u8 EE_Num);
void    Bak_Address_Encrypt(u8 *p_buf,u8 key_num);
#ifdef	__cplusplus
}
#endif

#endif	/* WXQB100_ENCRYPTION_H */

